summaryrefslogtreecommitdiff
path: root/libre-testing/your-system-sanity/TPPMwarn
diff options
context:
space:
mode:
authorFreemor <freemor@freemor.ca>2019-05-21 13:25:05 -0300
committerFreemor <freemor@freemor.ca>2019-05-21 13:25:05 -0300
commit77b371e7b7e2e0cea84fcff566dea1aa423ae656 (patch)
tree6114290ecc6be0b858974fdbab5a850e6b5c92a3 /libre-testing/your-system-sanity/TPPMwarn
parent114cac988d37036e832b6a2154ce347e8d915088 (diff)
downloadabslibre-77b371e7b7e2e0cea84fcff566dea1aa423ae656.tar.gz
abslibre-77b371e7b7e2e0cea84fcff566dea1aa423ae656.tar.bz2
abslibre-77b371e7b7e2e0cea84fcff566dea1aa423ae656.zip
Initial work on a package to address the Third Party Package Managar issue.
Diffstat (limited to 'libre-testing/your-system-sanity/TPPMwarn')
-rwxr-xr-xlibre-testing/your-system-sanity/TPPMwarn29
1 files changed, 29 insertions, 0 deletions
diff --git a/libre-testing/your-system-sanity/TPPMwarn b/libre-testing/your-system-sanity/TPPMwarn
new file mode 100755
index 000000000..9a3271f08
--- /dev/null
+++ b/libre-testing/your-system-sanity/TPPMwarn
@@ -0,0 +1,29 @@
+#!/usr/bin/bash
+#
+# This is the script companion to the ALPM-hook file TPPM.hook
+# The purpose of this script is to warn about Third Party Package Managers
+
+#Get and print the offending Package name from stdin
+read PACKAGE
+echo -e "\n*** "$PACKAGE" ***\n"
+
+#Print the big scary warning
+cat << EOF
+This is a Third Party Package Manager.
+
+ By Installing this Third party package manager you assume all responsibility for
+any system or freedom issues it may cause as there is no viable way for Parabola
+Devs to police the packages provided by this Third party package manager.
+
+To be clear, using this software may:
+
+ Result in violation of one or all of your four freedoms.
+ Result in you system becoming broken or unstable.
+ All of the above.
+
+ If you absolutely need the above package you'll have to uninstall
+your-system-sanity first.
+EOF
+
+#Exit with fail so package is not installed.
+exit 1